/* Add this attribute to the element that needs a tooltip */
[data-tooltip] {
  position: relative;
  z-index: 2;
  cursor: pointer;
}

/* Hide the tooltip content by default */
[data-tooltip]:before,
[data-tooltip]:after {
  visibility: hidden;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
  opacity: 0;
  pointer-events: none;
}

/* Position tooltip above the element */
[data-tooltip]:before {
  position: absolute;
  bottom: 130%;
  left: 50%;
  margin-bottom: 5px;
  margin-left: -80px;
  padding: 7px;
  width: 160px;
  border-radius: 5px 0 5px 0;
  -webkit-border-radius: 5px 0 5px 0;
  -moz-border-radius: 5px 0 5px 0;
  background-color: #1f9122;
  color: #fff;
  content: attr(data-tooltip);
  text-align: center;
  font-size: 14px;
  line-height: 1.2;
  -webkit-box-shadow: 3px 3px 3px 0 rgba(0,0,0,0.5);
  box-shadow: 3px 3px 3px 0 rgba(0,0,0,0.5);
}

/* Triangle hack to make tooltip look like a speech bubble */
[data-tooltip]:after {
  position: absolute;
  bottom: 115%;
  left: 50%;
  margin-left: -10px;
  width: 0;
  border-top: 10px solid #1f9122;
  border-right: 10px solid transparent;
  border-left: 10px solid transparent;
  content: " ";
  font-size: 0;
  line-height: 0;
}
.ru[data-tooltip]:before{
  background-color: #000;
  color:#fff;
}
.co[data-tooltip]:before{
  background-color: #1f9122;
  color:#fff;
}
.hc[data-tooltip]:before{
  background-color: #6d6d6d;
  color:#fff;
}
.pu[data-tooltip]:before{
  background-color: #d21515;
  color:#fff;
}

.te[data-tooltip]:before{
  background-color: #1f9122;
  color:#fff;
}
.t[data-tooltip]:before{
  background-color: #000;
  color:#fff;
}
.p[data-tooltip]:before{
  background-color: #d21515;
  color:#fff;
}

.hc[data-tooltip]:after{
  border-top:10px solid #6d6d6d;
}
.co[data-tooltip]:after{
  border-top:10px solid #1f9122;
}
.ru[data-tooltip]:after{
  border-top:10px solid #000;
}
.pu[data-tooltip]:after{
  border-top:10px solid #d21515;
}

.te[data-tooltip]:after{
  border-top:10px solid #1f9122;
}

.t[data-tooltip]:after{
  border-top:10px solid #000;
}

.p[data-tooltip]:after{
  border-top:10px solid #d21515;
}


/* Show tooltip content on hover */
[data-tooltip].active:hover:before,
[data-tooltip].active:hover:after {
  visibility: visible;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  opacity: 1;
}